type token =
  | LWORD of (string)
  | UWORD of (string)
  | DWORD of (Tptp_ast.defined_word)
  | SINGLE_QUOTED of (string)
  | DISTINCT_OBJECT of (string)
  | INTPOSNUM of (Tptp_ast.num_integer)
  | INTNEGNUM of (Tptp_ast.num_integer)
  | RATPOSNUM of (Tptp_ast.num_rational)
  | RATNEGNUM of (Tptp_ast.num_rational)
  | REALPOSNUM of (Tptp_ast.num_real)
  | REALNEGNUM of (Tptp_ast.num_real)
  | ASSUMPTION
  | AXIOM
  | CNF
  | CONJECTURE
  | COROLLARY
  | DEFINITION
  | FOF
  | HYPOTHESIS
  | INCLUDE
  | LEMMA
  | NEGATED_CONJECTURE
  | TFF
  | THEOREM
  | TYPE
  | DOT
  | COMMA
  | COLON
  | LEFTPAR
  | RIGHTPAR
  | LEFTSQ
  | RIGHTSQ
  | LONGARROW
  | LARROW
  | RARROW
  | LRARROW
  | NLRARROW
  | NAMP
  | NBAR
  | TILDE
  | EQUAL
  | NEQUAL
  | STAR
  | GT
  | PI
  | BANG
  | QUES
  | BAR
  | AMP
  | LET_TT
  | LET_FT
  | LET_TF
  | LET_FF
  | ITE_T
  | ITE_F
  | SLASH_STAR_SLASH
  | EOF

open Parsing;;
let _ = parse_error;;
# 13 "plugins/tptp/tptp_parser.mly"

open Tptp_ast

let loc () = (symbol_start_pos (), symbol_end_pos ())
let floc () = Why3.Loc.extract (loc ())

(* dead code
let loc_i i = (rhs_start_pos i, rhs_end_pos i)
let floc_i i = Why3.Loc.extract (loc_i i)
let loc_ij i j = (rhs_start_pos i, rhs_end_pos j)
let floc_ij i j = Why3.Loc.extract (loc_ij i j)
*)

let mk_e n = { e_node = n ; e_loc = floc () }

exception UnsupportedRole of string

let () = Why3.Exn_printer.register (fun fmt exn -> match exn with
  | Parse_error -> Format.fprintf fmt "syntax error"
  | UnsupportedRole s -> Format.fprintf fmt "unsupported role %s" s
  | _ -> raise exn)
# 85 "plugins/tptp/tptp_parser.ml"
let yytransl_const = [|
  268 (* ASSUMPTION *);
  269 (* AXIOM *);
  270 (* CNF *);
  271 (* CONJECTURE *);
  272 (* COROLLARY *);
  273 (* DEFINITION *);
  274 (* FOF *);
  275 (* HYPOTHESIS *);
  276 (* INCLUDE *);
  277 (* LEMMA *);
  278 (* NEGATED_CONJECTURE *);
  279 (* TFF *);
  280 (* THEOREM *);
  281 (* TYPE *);
  282 (* DOT *);
  283 (* COMMA *);
  284 (* COLON *);
  285 (* LEFTPAR *);
  286 (* RIGHTPAR *);
  287 (* LEFTSQ *);
  288 (* RIGHTSQ *);
  289 (* LONGARROW *);
  290 (* LARROW *);
  291 (* RARROW *);
  292 (* LRARROW *);
  293 (* NLRARROW *);
  294 (* NAMP *);
  295 (* NBAR *);
  296 (* TILDE *);
  297 (* EQUAL *);
  298 (* NEQUAL *);
  299 (* STAR *);
  300 (* GT *);
  301 (* PI *);
  302 (* BANG *);
  303 (* QUES *);
  304 (* BAR *);
  305 (* AMP *);
  306 (* LET_TT *);
  307 (* LET_FT *);
  308 (* LET_TF *);
  309 (* LET_FF *);
  310 (* ITE_T *);
  311 (* ITE_F *);
  312 (* SLASH_STAR_SLASH *);
    0 (* EOF *);
    0|]

let yytransl_block = [|
  257 (* LWORD *);
  258 (* UWORD *);
  259 (* DWORD *);
  260 (* SINGLE_QUOTED *);
  261 (* DISTINCT_OBJECT *);
  262 (* INTPOSNUM *);
  263 (* INTNEGNUM *);
  264 (* RATPOSNUM *);
  265 (* RATNEGNUM *);
  266 (* REALPOSNUM *);
  267 (* REALNEGNUM *);
    0|]

let yylhs = "\255\255\
\001\000\002\000\002\000\003\000\003\000\004\000\004\000\004\000\
\006\000\006\000\006\000\006\000\006\000\006\000\006\000\006\000\
\006\000\006\000\006\000\007\000\007\000\007\000\010\000\010\000\
\010\000\010\000\013\000\014\000\014\000\015\000\015\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\022\000\022\000\022\000\022\000\022\000\022\000\022\000\023\000\
\023\000\023\000\023\000\023\000\028\000\026\000\026\000\018\000\
\018\000\019\000\019\000\029\000\029\000\030\000\030\000\031\000\
\031\000\032\000\032\000\021\000\021\000\033\000\033\000\011\000\
\011\000\035\000\036\000\036\000\036\000\036\000\038\000\039\000\
\039\000\037\000\040\000\040\000\041\000\041\000\034\000\034\000\
\034\000\034\000\042\000\042\000\012\000\012\000\043\000\043\000\
\044\000\044\000\020\000\020\000\017\000\017\000\017\000\017\000\
\017\000\017\000\024\000\024\000\024\000\025\000\025\000\025\000\
\027\000\027\000\027\000\045\000\045\000\045\000\045\000\045\000\
\045\000\045\000\045\000\045\000\045\000\045\000\045\000\045\000\
\008\000\009\000\009\000\046\000\046\000\005\000\005\000\005\000\
\000\000"

let yylen = "\002\000\
\002\000\000\000\002\000\010\000\006\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\003\000\003\000\003\000\003\000\003\000\008\000\
\006\000\006\000\006\000\002\000\003\000\003\000\003\000\001\000\
\008\000\006\000\006\000\001\000\001\000\001\000\001\000\001\000\
\004\000\001\000\004\000\001\000\001\000\001\000\003\000\006\000\
\001\000\006\000\001\000\003\000\003\000\003\000\003\000\001\000\
\004\000\001\000\003\000\001\000\003\000\001\000\003\000\003\000\
\003\000\001\000\001\000\001\000\001\000\003\000\006\000\001\000\
\003\000\003\000\001\000\003\000\003\000\003\000\001\000\001\000\
\004\000\001\000\001\000\003\000\003\000\003\000\002\000\003\000\
\001\000\003\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\000\000\000\000\004\000\001\000\003\000\001\000\001\000\001\000\
\002\000"

let yydefred = "\000\000\
\000\000\000\000\008\000\007\000\000\000\006\000\137\000\000\000\
\000\000\000\000\000\000\001\000\003\000\000\000\000\000\113\000\
\114\000\135\000\136\000\116\000\117\000\118\000\119\000\120\000\
\121\000\122\000\123\000\124\000\125\000\126\000\127\000\128\000\
\000\000\134\000\115\000\000\000\000\000\000\000\000\000\000\000\
\019\000\012\000\009\000\015\000\016\000\011\000\010\000\013\000\
\017\000\014\000\018\000\000\000\000\000\000\000\005\000\000\000\
\000\000\131\000\053\000\000\000\044\000\107\000\110\000\108\000\
\111\000\109\000\112\000\000\000\000\000\000\000\099\000\100\000\
\000\000\000\000\000\000\000\000\000\000\000\000\129\000\020\000\
\021\000\022\000\023\000\000\000\000\000\000\000\000\000\000\000\
\000\000\045\000\046\000\000\000\052\000\000\000\000\000\133\000\
\000\000\000\000\000\000\000\000\000\000\095\000\000\000\000\000\
\000\000\036\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\101\000\102\000\103\000\104\000\105\000\
\106\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\047\000\000\000\039\000\073\000\094\000\
\000\000\096\000\000\000\000\000\000\000\000\000\059\000\000\000\
\000\000\000\000\000\000\057\000\000\000\000\000\000\000\000\000\
\000\000\000\000\029\000\031\000\028\000\030\000\027\000\000\000\
\000\000\000\000\038\000\037\000\000\000\087\000\000\000\000\000\
\000\000\090\000\000\000\072\000\076\000\077\000\000\000\093\000\
\000\000\049\000\098\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\004\000\000\000\000\000\000\000\051\000\000\000\000\000\000\000\
\000\000\000\000\000\000\055\000\063\000\000\000\000\000\000\000\
\000\000\062\000\061\000\000\000\000\000\060\000\000\000\000\000\
\000\000\000\000\071\000\000\000\069\000\000\000\078\000\084\000\
\000\000\000\000\000\000\000\000\082\000\000\000\043\000\000\000\
\065\000\000\000\042\000\034\000\033\000\000\000\000\000\035\000\
\085\000\086\000\000\000\000\000\089\000\000\000\067\000\000\000\
\000\000\000\000\000\000\092\000\058\000\056\000\041\000\032\000\
\000\000\080\000\079\000\000\000\083\000\000\000\000\000\081\000"

let yydgoto = "\002\000\
\007\000\008\000\009\000\010\000\053\000\052\000\079\000\113\000\
\037\000\098\000\081\000\082\000\083\000\084\000\085\000\086\000\
\124\000\147\000\141\000\087\000\161\000\088\000\089\000\090\000\
\091\000\133\000\104\000\093\000\148\000\143\000\144\000\209\000\
\162\000\227\000\094\000\172\000\173\000\174\000\003\001\175\000\
\200\000\228\000\095\000\105\000\035\000\054\000"

let yysindex = "\009\000\
\132\255\000\000\000\000\000\000\239\254\000\000\000\000\020\000\
\132\255\008\255\034\255\000\000\000\000\066\255\018\255\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\025\255\000\000\000\000\022\255\035\255\170\000\066\255\029\255\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\039\255\041\255\037\255\000\000\246\255\
\066\255\000\000\000\000\045\255\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\246\255\045\000\100\000\000\000\000\000\
\047\255\048\255\063\255\069\255\070\255\071\255\000\000\000\000\
\000\000\000\000\000\000\053\255\056\255\096\000\075\255\250\254\
\000\000\000\000\000\000\081\255\000\000\086\255\083\255\000\000\
\155\000\090\255\091\255\094\255\100\000\000\000\101\255\081\255\
\106\255\000\000\198\000\228\000\198\000\228\000\100\000\100\000\
\109\255\100\000\100\000\000\000\000\000\000\000\000\000\000\000\
\000\000\100\000\100\000\100\000\141\255\155\000\155\000\155\000\
\002\001\116\255\124\255\000\000\131\255\000\000\000\000\000\000\
\100\000\000\000\200\255\135\255\142\255\145\255\000\000\121\255\
\086\001\139\255\148\255\000\000\136\255\152\255\155\255\156\255\
\158\255\160\255\000\000\000\000\000\000\000\000\000\000\153\255\
\159\255\165\255\000\000\000\000\157\255\000\000\002\001\163\255\
\166\255\000\000\000\000\000\000\000\000\000\000\161\255\000\000\
\155\000\000\000\000\000\168\255\141\255\155\000\194\255\155\000\
\170\255\141\255\155\000\100\000\100\000\100\000\155\000\100\000\
\000\000\115\001\179\255\141\255\000\000\167\255\186\255\231\254\
\141\255\115\001\115\001\000\000\000\000\177\255\196\255\204\255\
\197\255\000\000\000\000\203\255\206\255\000\000\208\255\209\255\
\213\255\214\255\000\000\100\000\000\000\115\001\000\000\000\000\
\115\001\210\255\217\255\215\255\000\000\205\255\000\000\194\255\
\000\000\234\255\000\000\000\000\000\000\155\000\100\000\000\000\
\000\000\000\000\244\255\115\001\000\000\198\000\000\000\228\000\
\243\255\248\255\031\001\000\000\000\000\000\000\000\000\000\000\
\060\001\000\000\000\000\115\001\000\000\249\255\167\255\000\000"

let yyrindex = "\000\000\
\018\001\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\018\001\000\000\000\000\000\000\000\000\000\000\250\255\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\251\255\000\000\000\000\000\000\
\000\000\000\000\000\000\248\254\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\237\254\100\255\127\255\000\000\000\000\
\114\001\000\000\000\000\150\001\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\252\255\134\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\255\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\236\254\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\017\255\
\000\000\001\000\000\000\000\000\000\000\000\000\000\000\000\000\
\133\255\000\000\235\254\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\235\254\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\002\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\004\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000"

let yygindex = "\000\000\
\000\000\219\000\000\000\000\000\006\001\000\000\000\000\000\000\
\000\000\201\255\213\000\214\000\000\000\000\000\000\000\192\255\
\000\000\149\255\154\255\000\000\178\255\176\255\191\255\000\000\
\000\000\143\255\242\255\202\255\142\000\152\000\150\255\062\000\
\000\000\198\255\000\000\128\000\060\000\000\000\000\000\000\000\
\000\000\083\000\199\000\191\000\000\000\019\001"

let yytablesize = 711
let yytable = "\034\000\
\080\000\149\000\151\000\149\000\224\000\106\000\150\000\024\000\
\075\000\001\000\024\000\011\000\024\000\103\000\165\000\064\000\
\131\000\225\000\048\000\012\000\064\000\048\000\083\000\048\000\
\034\000\048\000\048\000\048\000\048\000\048\000\048\000\132\000\
\048\000\048\000\126\000\127\000\014\000\015\000\149\000\048\000\
\048\000\092\000\034\000\070\000\036\000\163\000\164\000\131\000\
\070\000\155\000\156\000\038\000\039\000\092\000\055\000\152\000\
\153\000\157\000\158\000\159\000\132\000\132\000\132\000\204\000\
\040\000\056\000\016\000\057\000\058\000\017\000\171\000\018\000\
\019\000\097\000\170\000\107\000\108\000\020\000\021\000\022\000\
\023\000\103\000\024\000\025\000\026\000\027\000\028\000\029\000\
\030\000\031\000\032\000\109\000\142\000\142\000\142\000\142\000\
\131\000\110\000\111\000\112\000\114\000\207\000\206\000\210\000\
\115\000\125\000\213\000\212\000\198\000\128\000\217\000\132\000\
\170\000\129\000\169\000\130\000\132\000\221\000\132\000\134\000\
\135\000\132\000\226\000\136\000\142\000\132\000\025\000\137\000\
\208\000\025\000\142\000\025\000\214\000\215\000\216\000\219\000\
\218\000\138\000\154\000\170\000\254\000\149\000\160\000\253\000\
\229\000\003\000\069\000\170\000\170\000\004\000\177\000\005\000\
\169\000\026\000\006\000\240\000\026\000\249\000\026\000\088\000\
\178\000\184\000\088\000\241\000\088\000\181\000\242\000\170\000\
\182\000\186\000\170\000\188\000\132\000\183\000\187\000\088\000\
\088\000\208\000\189\000\169\000\194\000\190\000\191\000\250\000\
\192\000\193\000\197\000\169\000\169\000\170\000\195\000\196\000\
\002\001\201\000\202\000\059\000\170\000\205\000\005\001\211\000\
\016\000\007\001\170\000\017\000\203\000\170\000\220\000\169\000\
\230\000\222\000\169\000\020\000\021\000\022\000\023\000\223\000\
\024\000\025\000\026\000\027\000\028\000\029\000\030\000\031\000\
\032\000\231\000\233\000\013\000\139\000\169\000\232\000\142\000\
\246\000\142\000\234\000\235\000\169\000\236\000\237\000\238\000\
\239\000\243\000\169\000\244\000\245\000\169\000\016\000\059\000\
\060\000\017\000\061\000\062\000\063\000\064\000\065\000\066\000\
\067\000\020\000\021\000\022\000\023\000\248\000\024\000\025\000\
\026\000\027\000\028\000\029\000\030\000\031\000\032\000\251\000\
\255\000\002\000\068\000\033\000\069\000\000\001\008\001\130\000\
\099\000\100\000\132\000\097\000\054\000\070\000\185\000\066\000\
\068\000\091\000\180\000\071\000\072\000\247\000\199\000\073\000\
\074\000\075\000\076\000\077\000\078\000\016\000\059\000\060\000\
\017\000\061\000\062\000\063\000\064\000\065\000\066\000\067\000\
\020\000\021\000\022\000\023\000\006\001\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\252\000\179\000\
\176\000\101\000\000\000\096\000\102\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\070\000\000\000\000\000\000\000\
\000\000\000\000\071\000\072\000\000\000\000\000\073\000\074\000\
\075\000\076\000\077\000\078\000\016\000\059\000\060\000\017\000\
\061\000\062\000\063\000\064\000\065\000\066\000\067\000\020\000\
\021\000\022\000\023\000\000\000\024\000\025\000\026\000\027\000\
\028\000\029\000\030\000\031\000\032\000\000\000\000\000\000\000\
\101\000\116\000\117\000\118\000\119\000\120\000\121\000\000\000\
\000\000\000\000\000\000\070\000\000\000\000\000\000\000\122\000\
\123\000\071\000\072\000\000\000\000\000\073\000\074\000\075\000\
\076\000\077\000\078\000\016\000\059\000\060\000\017\000\061\000\
\062\000\063\000\064\000\065\000\066\000\067\000\020\000\021\000\
\022\000\023\000\041\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\032\000\000\000\042\000\043\000\000\000\
\044\000\045\000\046\000\000\000\047\000\000\000\048\000\049\000\
\000\000\050\000\051\000\000\000\000\000\000\000\016\000\000\000\
\000\000\017\000\000\000\000\000\073\000\074\000\000\000\000\000\
\077\000\020\000\021\000\022\000\023\000\000\000\024\000\025\000\
\026\000\027\000\028\000\029\000\030\000\031\000\032\000\000\000\
\000\000\000\000\139\000\000\000\016\000\000\000\000\000\017\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\020\000\
\021\000\022\000\023\000\140\000\024\000\025\000\026\000\027\000\
\028\000\029\000\030\000\031\000\032\000\000\000\000\000\000\000\
\145\000\000\000\016\000\059\000\166\000\017\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\020\000\021\000\022\000\
\023\000\146\000\024\000\025\000\026\000\027\000\028\000\029\000\
\030\000\031\000\032\000\000\000\000\000\000\000\167\000\016\000\
\059\000\166\000\017\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\020\000\021\000\022\000\023\000\168\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\032\000\
\000\000\000\000\000\000\001\001\016\000\059\000\166\000\017\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\020\000\
\021\000\022\000\023\000\000\000\024\000\025\000\026\000\027\000\
\028\000\029\000\030\000\031\000\032\000\000\000\016\000\000\000\
\004\001\017\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\020\000\021\000\022\000\023\000\000\000\024\000\025\000\
\026\000\027\000\028\000\029\000\030\000\031\000\032\000\000\000\
\000\000\000\000\145\000\016\000\059\000\166\000\017\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\020\000\021\000\
\022\000\023\000\000\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\032\000\040\000\000\000\000\000\040\000\
\000\000\040\000\000\000\040\000\040\000\040\000\040\000\040\000\
\040\000\000\000\047\000\047\000\000\000\000\000\000\000\000\000\
\050\000\040\000\040\000\050\000\000\000\050\000\000\000\050\000\
\050\000\050\000\050\000\050\000\050\000\000\000\050\000\050\000\
\000\000\074\000\000\000\050\000\000\000\050\000\050\000\050\000\
\050\000\050\000\050\000\050\000\050\000\000\000\050\000\050\000\
\000\000\000\000\000\000\000\000\000\000\050\000\050\000"

let yycheck = "\014\000\
\056\000\108\000\110\000\110\000\030\001\070\000\109\000\027\001\
\030\001\001\000\030\001\029\001\032\001\069\000\128\000\036\001\
\097\000\043\001\027\001\000\000\041\001\030\001\044\001\032\001\
\039\000\034\001\035\001\036\001\037\001\038\001\039\001\097\000\
\041\001\042\001\041\001\042\001\029\001\004\001\145\000\048\001\
\049\001\056\000\057\000\027\001\027\001\126\000\127\000\128\000\
\032\001\114\000\115\000\027\001\031\001\068\000\026\001\111\000\
\112\000\122\000\123\000\124\000\126\000\127\000\128\000\177\000\
\030\001\027\001\001\001\027\001\032\001\004\001\129\000\006\001\
\007\001\029\001\129\000\029\001\029\001\012\001\013\001\014\001\
\015\001\137\000\017\001\018\001\019\001\020\001\021\001\022\001\
\023\001\024\001\025\001\029\001\107\000\108\000\109\000\110\000\
\177\000\029\001\029\001\029\001\048\001\182\000\181\000\184\000\
\049\001\031\001\187\000\186\000\167\000\029\001\191\000\177\000\
\167\000\028\001\129\000\033\001\182\000\196\000\184\000\030\001\
\030\001\187\000\201\000\030\001\139\000\191\000\027\001\027\001\
\183\000\030\001\145\000\032\001\188\000\189\000\190\000\194\000\
\192\000\032\001\030\001\194\000\248\000\248\000\002\001\246\000\
\203\000\014\001\031\001\202\000\203\000\018\001\027\001\020\001\
\167\000\027\001\023\001\220\000\030\001\238\000\032\001\027\001\
\030\001\041\001\030\001\222\000\032\001\031\001\225\000\222\000\
\027\001\031\001\225\000\036\001\238\000\029\001\027\001\043\001\
\044\001\232\000\027\001\194\000\028\001\027\001\027\001\239\000\
\027\001\026\001\030\001\202\000\203\000\244\000\032\001\027\001\
\251\000\031\001\029\001\002\001\251\000\030\001\001\001\030\001\
\001\001\004\001\001\001\004\001\044\001\004\001\028\001\222\000\
\032\001\043\001\225\000\012\001\013\001\014\001\015\001\030\001\
\017\001\018\001\019\001\020\001\021\001\022\001\023\001\024\001\
\025\001\030\001\030\001\009\000\029\001\244\000\027\001\246\000\
\028\001\248\000\032\001\030\001\251\000\030\001\030\001\027\001\
\027\001\032\001\001\001\027\001\030\001\004\001\001\001\002\001\
\003\001\004\001\005\001\006\001\007\001\008\001\009\001\010\001\
\011\001\012\001\013\001\014\001\015\001\028\001\017\001\018\001\
\019\001\020\001\021\001\022\001\023\001\024\001\025\001\028\001\
\030\001\000\000\029\001\014\000\031\001\030\001\030\001\030\001\
\068\000\068\000\032\001\032\001\030\001\040\001\145\000\030\001\
\032\001\030\001\139\000\046\001\047\001\232\000\167\000\050\001\
\051\001\052\001\053\001\054\001\055\001\001\001\002\001\003\001\
\004\001\005\001\006\001\007\001\008\001\009\001\010\001\011\001\
\012\001\013\001\014\001\015\001\001\001\017\001\018\001\019\001\
\020\001\021\001\022\001\023\001\024\001\025\001\244\000\137\000\
\130\000\029\001\255\255\057\000\032\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\040\001\255\255\255\255\255\255\
\255\255\255\255\046\001\047\001\255\255\255\255\050\001\051\001\
\052\001\053\001\054\001\055\001\001\001\002\001\003\001\004\001\
\005\001\006\001\007\001\008\001\009\001\010\001\011\001\012\001\
\013\001\014\001\015\001\255\255\017\001\018\001\019\001\020\001\
\021\001\022\001\023\001\024\001\025\001\255\255\255\255\255\255\
\029\001\034\001\035\001\036\001\037\001\038\001\039\001\255\255\
\255\255\255\255\255\255\040\001\255\255\255\255\255\255\048\001\
\049\001\046\001\047\001\255\255\255\255\050\001\051\001\052\001\
\053\001\054\001\055\001\001\001\002\001\003\001\004\001\005\001\
\006\001\007\001\008\001\009\001\010\001\011\001\012\001\013\001\
\014\001\015\001\001\001\017\001\018\001\019\001\020\001\021\001\
\022\001\023\001\024\001\025\001\255\255\012\001\013\001\255\255\
\015\001\016\001\017\001\255\255\019\001\255\255\021\001\022\001\
\255\255\024\001\025\001\255\255\255\255\255\255\001\001\255\255\
\255\255\004\001\255\255\255\255\050\001\051\001\255\255\255\255\
\054\001\012\001\013\001\014\001\015\001\255\255\017\001\018\001\
\019\001\020\001\021\001\022\001\023\001\024\001\025\001\255\255\
\255\255\255\255\029\001\255\255\001\001\255\255\255\255\004\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\012\001\
\013\001\014\001\015\001\046\001\017\001\018\001\019\001\020\001\
\021\001\022\001\023\001\024\001\025\001\255\255\255\255\255\255\
\029\001\255\255\001\001\002\001\003\001\004\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\012\001\013\001\014\001\
\015\001\046\001\017\001\018\001\019\001\020\001\021\001\022\001\
\023\001\024\001\025\001\255\255\255\255\255\255\029\001\001\001\
\002\001\003\001\004\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\012\001\013\001\014\001\015\001\045\001\017\001\
\018\001\019\001\020\001\021\001\022\001\023\001\024\001\025\001\
\255\255\255\255\255\255\029\001\001\001\002\001\003\001\004\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\012\001\
\013\001\014\001\015\001\255\255\017\001\018\001\019\001\020\001\
\021\001\022\001\023\001\024\001\025\001\255\255\001\001\255\255\
\029\001\004\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\012\001\013\001\014\001\015\001\255\255\017\001\018\001\
\019\001\020\001\021\001\022\001\023\001\024\001\025\001\255\255\
\255\255\255\255\029\001\001\001\002\001\003\001\004\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\012\001\013\001\
\014\001\015\001\255\255\017\001\018\001\019\001\020\001\021\001\
\022\001\023\001\024\001\025\001\027\001\255\255\255\255\030\001\
\255\255\032\001\255\255\034\001\035\001\036\001\037\001\038\001\
\039\001\255\255\041\001\042\001\255\255\255\255\255\255\255\255\
\027\001\048\001\049\001\030\001\255\255\032\001\255\255\034\001\
\035\001\036\001\037\001\038\001\039\001\255\255\041\001\042\001\
\255\255\028\001\255\255\030\001\255\255\048\001\049\001\034\001\
\035\001\036\001\037\001\038\001\039\001\255\255\041\001\042\001\
\255\255\255\255\255\255\255\255\255\255\048\001\049\001"

let yynames_const = "\
  ASSUMPTION\000\
  AXIOM\000\
  CNF\000\
  CONJECTURE\000\
  COROLLARY\000\
  DEFINITION\000\
  FOF\000\
  HYPOTHESIS\000\
  INCLUDE\000\
  LEMMA\000\
  NEGATED_CONJECTURE\000\
  TFF\000\
  THEOREM\000\
  TYPE\000\
  DOT\000\
  COMMA\000\
  COLON\000\
  LEFTPAR\000\
  RIGHTPAR\000\
  LEFTSQ\000\
  RIGHTSQ\000\
  LONGARROW\000\
  LARROW\000\
  RARROW\000\
  LRARROW\000\
  NLRARROW\000\
  NAMP\000\
  NBAR\000\
  TILDE\000\
  EQUAL\000\
  NEQUAL\000\
  STAR\000\
  GT\000\
  PI\000\
  BANG\000\
  QUES\000\
  BAR\000\
  AMP\000\
  LET_TT\000\
  LET_FT\000\
  LET_TF\000\
  LET_FF\000\
  ITE_T\000\
  ITE_F\000\
  SLASH_STAR_SLASH\000\
  EOF\000\
  "

let yynames_block = "\
  LWORD\000\
  UWORD\000\
  DWORD\000\
  SINGLE_QUOTED\000\
  DISTINCT_OBJECT\000\
  INTPOSNUM\000\
  INTNEGNUM\000\
  RATPOSNUM\000\
  RATNEGNUM\000\
  REALPOSNUM\000\
  REALNEGNUM\000\
  "

let yyact = [|
  (fun _ -> failwith "parser")
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'list0_input) in
    Obj.repr(
# 70 "plugins/tptp/tptp_parser.mly"
                  ( _1 )
# 563 "plugins/tptp/tptp_parser.ml"
               : Tptp_ast.tptp_file))
; (fun __caml_parser_env ->
    Obj.repr(
# 74 "plugins/tptp/tptp_parser.mly"
                    ( [] )
# 569 "plugins/tptp/tptp_parser.ml"
               : 'list0_input))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'input) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'list0_input) in
    Obj.repr(
# 75 "plugins/tptp/tptp_parser.mly"
                    ( _1 :: _2 )
# 577 "plugins/tptp/tptp_parser.ml"
               : 'list0_input))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 9 : 'kind) in
    let _3 = (Parsing.peek_val __caml_parser_env 7 : 'name) in
    let _5 = (Parsing.peek_val __caml_parser_env 5 : 'role) in
    let _7 = (Parsing.peek_val __caml_parser_env 3 : 'top_formula) in
    let _8 = (Parsing.peek_val __caml_parser_env 2 : 'annotation) in
    Obj.repr(
# 80 "plugins/tptp/tptp_parser.mly"
  ( Formula (_1, _3, _5, _7, floc ()) )
# 588 "plugins/tptp/tptp_parser.ml"
               : 'input))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 3 : string) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'formula_selection) in
    Obj.repr(
# 82 "plugins/tptp/tptp_parser.mly"
  ( Include (_3, _4, floc ()) )
# 596 "plugins/tptp/tptp_parser.ml"
               : 'input))
; (fun __caml_parser_env ->
    Obj.repr(
# 86 "plugins/tptp/tptp_parser.mly"
      ( TFF )
# 602 "plugins/tptp/tptp_parser.ml"
               : 'kind))
; (fun __caml_parser_env ->
    Obj.repr(
# 87 "plugins/tptp/tptp_parser.mly"
      ( FOF )
# 608 "plugins/tptp/tptp_parser.ml"
               : 'kind))
; (fun __caml_parser_env ->
    Obj.repr(
# 88 "plugins/tptp/tptp_parser.mly"
      ( CNF )
# 614 "plugins/tptp/tptp_parser.ml"
               : 'kind))
; (fun __caml_parser_env ->
    Obj.repr(
# 92 "plugins/tptp/tptp_parser.mly"
                      ( Axiom )
# 620 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    Obj.repr(
# 93 "plugins/tptp/tptp_parser.mly"
                      ( Hypothesis )
# 626 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    Obj.repr(
# 94 "plugins/tptp/tptp_parser.mly"
                      ( Definition )
# 632 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    Obj.repr(
# 95 "plugins/tptp/tptp_parser.mly"
                      ( Assumption )
# 638 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    Obj.repr(
# 96 "plugins/tptp/tptp_parser.mly"
                      ( Lemma )
# 644 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    Obj.repr(
# 97 "plugins/tptp/tptp_parser.mly"
                      ( Theorem )
# 650 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    Obj.repr(
# 98 "plugins/tptp/tptp_parser.mly"
                      ( Conjecture )
# 656 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    Obj.repr(
# 99 "plugins/tptp/tptp_parser.mly"
                      ( Corollary )
# 662 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    Obj.repr(
# 100 "plugins/tptp/tptp_parser.mly"
                      ( Negated_conjecture )
# 668 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    Obj.repr(
# 101 "plugins/tptp/tptp_parser.mly"
                      ( Type )
# 674 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 102 "plugins/tptp/tptp_parser.mly"
                      ( raise (UnsupportedRole _1) )
# 681 "plugins/tptp/tptp_parser.ml"
               : 'role))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'formula) in
    Obj.repr(
# 106 "plugins/tptp/tptp_parser.mly"
              ( LogicFormula _1 )
# 688 "plugins/tptp/tptp_parser.ml"
               : 'top_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'typed_atom) in
    Obj.repr(
# 107 "plugins/tptp/tptp_parser.mly"
              ( _1 )
# 695 "plugins/tptp/tptp_parser.ml"
               : 'top_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'sequent) in
    Obj.repr(
# 108 "plugins/tptp/tptp_parser.mly"
              ( _1 )
# 702 "plugins/tptp/tptp_parser.ml"
               : 'top_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'nonassoc_formula) in
    Obj.repr(
# 114 "plugins/tptp/tptp_parser.mly"
                    ( _1 )
# 709 "plugins/tptp/tptp_parser.ml"
               : 'formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'or_formula) in
    Obj.repr(
# 115 "plugins/tptp/tptp_parser.mly"
                    ( _1 )
# 716 "plugins/tptp/tptp_parser.ml"
               : 'formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'and_formula) in
    Obj.repr(
# 116 "plugins/tptp/tptp_parser.mly"
                    ( _1 )
# 723 "plugins/tptp/tptp_parser.ml"
               : 'formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'unitary_formula) in
    Obj.repr(
# 117 "plugins/tptp/tptp_parser.mly"
                    ( _1 )
# 730 "plugins/tptp/tptp_parser.ml"
               : 'formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'unitary_formula) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'nassoc) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'unitary_formula) in
    Obj.repr(
# 121 "plugins/tptp/tptp_parser.mly"
                                          ( mk_e (Ebin (_2,_1,_3)) )
# 739 "plugins/tptp/tptp_parser.ml"
               : 'nonassoc_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'unitary_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'unitary_formula) in
    Obj.repr(
# 125 "plugins/tptp/tptp_parser.mly"
                                          ( mk_e (Ebin (BOor,_1,_3)) )
# 747 "plugins/tptp/tptp_parser.ml"
               : 'or_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'or_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'unitary_formula) in
    Obj.repr(
# 126 "plugins/tptp/tptp_parser.mly"
                                          ( mk_e (Ebin (BOor,_1,_3)) )
# 755 "plugins/tptp/tptp_parser.ml"
               : 'or_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'unitary_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'unitary_formula) in
    Obj.repr(
# 130 "plugins/tptp/tptp_parser.mly"
                                          ( mk_e (Ebin (BOand,_1,_3)) )
# 763 "plugins/tptp/tptp_parser.ml"
               : 'and_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'and_formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'unitary_formula) in
    Obj.repr(
# 131 "plugins/tptp/tptp_parser.mly"
                                          ( mk_e (Ebin (BOand,_1,_3)) )
# 771 "plugins/tptp/tptp_parser.ml"
               : 'and_formula))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 5 : 'formula) in
    let _5 = (Parsing.peek_val __caml_parser_env 3 : 'formula) in
    let _7 = (Parsing.peek_val __caml_parser_env 1 : 'formula) in
    Obj.repr(
# 136 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Eite (_3,_5,_7)) )
# 780 "plugins/tptp/tptp_parser.ml"
               : 'unitary_formula))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'formula_def) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'formula) in
    Obj.repr(
# 138 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Elet (_3,_5)) )
# 788 "plugins/tptp/tptp_parser.ml"
               : 'unitary_formula))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'term_def) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'formula) in
    Obj.repr(
# 140 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Elet (_3,_5)) )
# 796 "plugins/tptp/tptp_parser.ml"
               : 'unitary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'quant) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'varlist) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'unitary_formula) in
    Obj.repr(
# 142 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Eqnt (_1,_3,_6)) )
# 805 "plugins/tptp/tptp_parser.ml"
               : 'unitary_formula))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unitary_formula) in
    Obj.repr(
# 144 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Enot _2) )
# 812 "plugins/tptp/tptp_parser.ml"
               : 'unitary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 146 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Enot (mk_e (Eequ (_1,_3)))) )
# 820 "plugins/tptp/tptp_parser.ml"
               : 'unitary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 148 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Eequ (_1,_3)) )
# 828 "plugins/tptp/tptp_parser.ml"
               : 'unitary_formula))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'formula) in
    Obj.repr(
# 150 "plugins/tptp/tptp_parser.mly"
  ( _2 )
# 835 "plugins/tptp/tptp_parser.ml"
               : 'unitary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'plain_term) in
    Obj.repr(
# 152 "plugins/tptp/tptp_parser.mly"
  ( _1 )
# 842 "plugins/tptp/tptp_parser.ml"
               : 'unitary_formula))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 5 : 'formula) in
    let _5 = (Parsing.peek_val __caml_parser_env 3 : 'term) in
    let _7 = (Parsing.peek_val __caml_parser_env 1 : 'term) in
    Obj.repr(
# 157 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Eite (_3,_5,_7)) )
# 851 "plugins/tptp/tptp_parser.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'formula_def) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'term) in
    Obj.repr(
# 159 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Elet (_3,_5)) )
# 859 "plugins/tptp/tptp_parser.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'term_def) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'term) in
    Obj.repr(
# 161 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Elet (_3,_5)) )
# 867 "plugins/tptp/tptp_parser.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 163 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Edob _1) )
# 874 "plugins/tptp/tptp_parser.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'pos_number) in
    Obj.repr(
# 165 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Enum _1) )
# 881 "plugins/tptp/tptp_parser.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'neg_number) in
    Obj.repr(
# 167 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Edef (DF DFumin, [mk_e (Enum _1)])) )
# 888 "plugins/tptp/tptp_parser.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'plain_term) in
    Obj.repr(
# 169 "plugins/tptp/tptp_parser.mly"
  ( _1 )
# 895 "plugins/tptp/tptp_parser.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.defined_word) in
    Obj.repr(
# 173 "plugins/tptp/tptp_parser.mly"
                                          ( mk_e (Edef (_1,[])) )
# 902 "plugins/tptp/tptp_parser.ml"
               : 'plain_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Tptp_ast.defined_word) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 174 "plugins/tptp/tptp_parser.mly"
                                          ( mk_e (Edef (_1,_3)) )
# 910 "plugins/tptp/tptp_parser.ml"
               : 'plain_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_word) in
    Obj.repr(
# 175 "plugins/tptp/tptp_parser.mly"
                                          ( mk_e (Eapp (_1,[])) )
# 917 "plugins/tptp/tptp_parser.ml"
               : 'plain_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'atomic_word) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 176 "plugins/tptp/tptp_parser.mly"
                                          ( mk_e (Eapp (_1,_3)) )
# 925 "plugins/tptp/tptp_parser.ml"
               : 'plain_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'var_term) in
    Obj.repr(
# 177 "plugins/tptp/tptp_parser.mly"
                                          ( _1 )
# 932 "plugins/tptp/tptp_parser.ml"
               : 'plain_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 181 "plugins/tptp/tptp_parser.mly"
          ( mk_e (Evar _1) )
# 939 "plugins/tptp/tptp_parser.ml"
               : 'var_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 185 "plugins/tptp/tptp_parser.mly"
                        ( [_1] )
# 946 "plugins/tptp/tptp_parser.ml"
               : 'arguments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arguments) in
    Obj.repr(
# 186 "plugins/tptp/tptp_parser.mly"
                        ( _1 :: _3 )
# 954 "plugins/tptp/tptp_parser.ml"
               : 'arguments))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'varlist) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'formula_def) in
    Obj.repr(
# 191 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Eqnt (Qforall,_3,_6)) )
# 962 "plugins/tptp/tptp_parser.ml"
               : 'formula_def))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'formula_def_inner) in
    Obj.repr(
# 193 "plugins/tptp/tptp_parser.mly"
  ( _1 )
# 969 "plugins/tptp/tptp_parser.ml"
               : 'formula_def))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'varlist) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'term_def) in
    Obj.repr(
# 198 "plugins/tptp/tptp_parser.mly"
  ( mk_e (Eqnt (Qforall,_3,_6)) )
# 977 "plugins/tptp/tptp_parser.ml"
               : 'term_def))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'term_def_inner) in
    Obj.repr(
# 200 "plugins/tptp/tptp_parser.mly"
  ( _1 )
# 984 "plugins/tptp/tptp_parser.ml"
               : 'term_def))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'def_lhs) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'formula) in
    Obj.repr(
# 204 "plugins/tptp/tptp_parser.mly"
                                      ( mk_e (Ebin (BOequ,_1,_3)) )
# 992 "plugins/tptp/tptp_parser.ml"
               : 'formula_def_inner))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'formula_def_inner) in
    Obj.repr(
# 205 "plugins/tptp/tptp_parser.mly"
                                      ( _2 )
# 999 "plugins/tptp/tptp_parser.ml"
               : 'formula_def_inner))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'def_lhs) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 209 "plugins/tptp/tptp_parser.mly"
                                  ( mk_e (Eequ (_1,_3)) )
# 1007 "plugins/tptp/tptp_parser.ml"
               : 'term_def_inner))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'term_def_inner) in
    Obj.repr(
# 210 "plugins/tptp/tptp_parser.mly"
                                  ( _2 )
# 1014 "plugins/tptp/tptp_parser.ml"
               : 'term_def_inner))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_word) in
    Obj.repr(
# 214 "plugins/tptp/tptp_parser.mly"
                                              ( mk_e (Eapp (_1,[])) )
# 1021 "plugins/tptp/tptp_parser.ml"
               : 'def_lhs))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'atomic_word) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'list1_var_term) in
    Obj.repr(
# 215 "plugins/tptp/tptp_parser.mly"
                                              ( mk_e (Eapp (_1,_3)) )
# 1029 "plugins/tptp/tptp_parser.ml"
               : 'def_lhs))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'var_term) in
    Obj.repr(
# 219 "plugins/tptp/tptp_parser.mly"
                                 ( [_1] )
# 1036 "plugins/tptp/tptp_parser.ml"
               : 'list1_var_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'var_term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'list1_var_term) in
    Obj.repr(
# 220 "plugins/tptp/tptp_parser.mly"
                                 ( _1 :: _3 )
# 1044 "plugins/tptp/tptp_parser.ml"
               : 'list1_var_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'typed_var) in
    Obj.repr(
# 224 "plugins/tptp/tptp_parser.mly"
                           ( [_1] )
# 1051 "plugins/tptp/tptp_parser.ml"
               : 'varlist))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'typed_var) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'varlist) in
    Obj.repr(
# 225 "plugins/tptp/tptp_parser.mly"
                           ( _1 :: _3 )
# 1059 "plugins/tptp/tptp_parser.ml"
               : 'varlist))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 229 "plugins/tptp/tptp_parser.mly"
                           ( _1, mk_e (Edef (DT DTuniv, [])) )
# 1066 "plugins/tptp/tptp_parser.ml"
               : 'typed_var))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_type) in
    Obj.repr(
# 230 "plugins/tptp/tptp_parser.mly"
                           ( _1, _3 )
# 1074 "plugins/tptp/tptp_parser.ml"
               : 'typed_var))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'untyped_atom) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'top_type) in
    Obj.repr(
# 236 "plugins/tptp/tptp_parser.mly"
                               ( TypedAtom (_1,_3) )
# 1082 "plugins/tptp/tptp_parser.ml"
               : 'typed_atom))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'typed_atom) in
    Obj.repr(
# 237 "plugins/tptp/tptp_parser.mly"
                               ( _2 )
# 1089 "plugins/tptp/tptp_parser.ml"
               : 'typed_atom))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_word) in
    Obj.repr(
# 241 "plugins/tptp/tptp_parser.mly"
               ( _1 )
# 1096 "plugins/tptp/tptp_parser.ml"
               : 'untyped_atom))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_type) in
    Obj.repr(
# 245 "plugins/tptp/tptp_parser.mly"
                   ( [],([],_1) )
# 1103 "plugins/tptp/tptp_parser.ml"
               : 'top_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'mapping_type) in
    Obj.repr(
# 246 "plugins/tptp/tptp_parser.mly"
                   ( [],_1 )
# 1110 "plugins/tptp/tptp_parser.ml"
               : 'top_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'quantified_type) in
    Obj.repr(
# 247 "plugins/tptp/tptp_parser.mly"
                   ( _1 )
# 1117 "plugins/tptp/tptp_parser.ml"
               : 'top_type))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'top_type) in
    Obj.repr(
# 248 "plugins/tptp/tptp_parser.mly"
                             ( _2 )
# 1124 "plugins/tptp/tptp_parser.ml"
               : 'top_type))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'varlist) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'monotype) in
    Obj.repr(
# 252 "plugins/tptp/tptp_parser.mly"
                                            ( _3,_6 )
# 1132 "plugins/tptp/tptp_parser.ml"
               : 'quantified_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_type) in
    Obj.repr(
# 256 "plugins/tptp/tptp_parser.mly"
                                 ( [],_1 )
# 1139 "plugins/tptp/tptp_parser.ml"
               : 'monotype))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'mapping_type) in
    Obj.repr(
# 257 "plugins/tptp/tptp_parser.mly"
                                 ( _2 )
# 1146 "plugins/tptp/tptp_parser.ml"
               : 'monotype))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'unitary_type) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_type) in
    Obj.repr(
# 261 "plugins/tptp/tptp_parser.mly"
                                 ( _1,_3 )
# 1154 "plugins/tptp/tptp_parser.ml"
               : 'mapping_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_type) in
    Obj.repr(
# 265 "plugins/tptp/tptp_parser.mly"
                               ( [_1] )
# 1161 "plugins/tptp/tptp_parser.ml"
               : 'unitary_type))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'xprod_type) in
    Obj.repr(
# 266 "plugins/tptp/tptp_parser.mly"
                               ( _2 )
# 1168 "plugins/tptp/tptp_parser.ml"
               : 'unitary_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'atomic_type) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_type) in
    Obj.repr(
# 270 "plugins/tptp/tptp_parser.mly"
                                ( [_1;_3] )
# 1176 "plugins/tptp/tptp_parser.ml"
               : 'xprod_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'xprod_type) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_type) in
    Obj.repr(
# 271 "plugins/tptp/tptp_parser.mly"
                                ( _1 @ [_3] )
# 1184 "plugins/tptp/tptp_parser.ml"
               : 'xprod_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.defined_word) in
    Obj.repr(
# 277 "plugins/tptp/tptp_parser.mly"
                                                  ( mk_e (Edef (_1,[])) )
# 1191 "plugins/tptp/tptp_parser.ml"
               : 'atomic_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_word) in
    Obj.repr(
# 278 "plugins/tptp/tptp_parser.mly"
                                                  ( mk_e (Eapp (_1,[])) )
# 1198 "plugins/tptp/tptp_parser.ml"
               : 'atomic_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'atomic_word) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'list1_atomic_type) in
    Obj.repr(
# 279 "plugins/tptp/tptp_parser.mly"
                                                  ( mk_e (Eapp (_1,_3)) )
# 1206 "plugins/tptp/tptp_parser.ml"
               : 'atomic_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'var_term) in
    Obj.repr(
# 280 "plugins/tptp/tptp_parser.mly"
                                                  ( _1 )
# 1213 "plugins/tptp/tptp_parser.ml"
               : 'atomic_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_type) in
    Obj.repr(
# 284 "plugins/tptp/tptp_parser.mly"
                                       ( [_1] )
# 1220 "plugins/tptp/tptp_parser.ml"
               : 'list1_atomic_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'atomic_type) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'list1_atomic_type) in
    Obj.repr(
# 285 "plugins/tptp/tptp_parser.mly"
                                       ( _1 :: _3 )
# 1228 "plugins/tptp/tptp_parser.ml"
               : 'list1_atomic_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tuple) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tuple) in
    Obj.repr(
# 291 "plugins/tptp/tptp_parser.mly"
                            ( Sequent (_1,_3) )
# 1236 "plugins/tptp/tptp_parser.ml"
               : 'sequent))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'sequent) in
    Obj.repr(
# 292 "plugins/tptp/tptp_parser.mly"
                            ( _2 )
# 1243 "plugins/tptp/tptp_parser.ml"
               : 'sequent))
; (fun __caml_parser_env ->
    Obj.repr(
# 296 "plugins/tptp/tptp_parser.mly"
                                ( [] )
# 1249 "plugins/tptp/tptp_parser.ml"
               : 'tuple))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'list1_formula) in
    Obj.repr(
# 297 "plugins/tptp/tptp_parser.mly"
                                ( _2 )
# 1256 "plugins/tptp/tptp_parser.ml"
               : 'tuple))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'formula) in
    Obj.repr(
# 301 "plugins/tptp/tptp_parser.mly"
                              ( [_1] )
# 1263 "plugins/tptp/tptp_parser.ml"
               : 'list1_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'formula) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'list1_formula) in
    Obj.repr(
# 302 "plugins/tptp/tptp_parser.mly"
                              ( _1 :: _3 )
# 1271 "plugins/tptp/tptp_parser.ml"
               : 'list1_formula))
; (fun __caml_parser_env ->
    Obj.repr(
# 308 "plugins/tptp/tptp_parser.mly"
            ( Qforall )
# 1277 "plugins/tptp/tptp_parser.ml"
               : 'quant))
; (fun __caml_parser_env ->
    Obj.repr(
# 309 "plugins/tptp/tptp_parser.mly"
            ( Qexists )
# 1283 "plugins/tptp/tptp_parser.ml"
               : 'quant))
; (fun __caml_parser_env ->
    Obj.repr(
# 313 "plugins/tptp/tptp_parser.mly"
            ( BOpmi )
# 1289 "plugins/tptp/tptp_parser.ml"
               : 'nassoc))
; (fun __caml_parser_env ->
    Obj.repr(
# 314 "plugins/tptp/tptp_parser.mly"
            ( BOimp )
# 1295 "plugins/tptp/tptp_parser.ml"
               : 'nassoc))
; (fun __caml_parser_env ->
    Obj.repr(
# 315 "plugins/tptp/tptp_parser.mly"
            ( BOequ )
# 1301 "plugins/tptp/tptp_parser.ml"
               : 'nassoc))
; (fun __caml_parser_env ->
    Obj.repr(
# 316 "plugins/tptp/tptp_parser.mly"
            ( BOnequ )
# 1307 "plugins/tptp/tptp_parser.ml"
               : 'nassoc))
; (fun __caml_parser_env ->
    Obj.repr(
# 317 "plugins/tptp/tptp_parser.mly"
            ( BOnand )
# 1313 "plugins/tptp/tptp_parser.ml"
               : 'nassoc))
; (fun __caml_parser_env ->
    Obj.repr(
# 318 "plugins/tptp/tptp_parser.mly"
            ( BOnor )
# 1319 "plugins/tptp/tptp_parser.ml"
               : 'nassoc))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.num_integer) in
    Obj.repr(
# 322 "plugins/tptp/tptp_parser.mly"
             ( Nint _1 )
# 1326 "plugins/tptp/tptp_parser.ml"
               : 'pos_number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.num_rational) in
    Obj.repr(
# 323 "plugins/tptp/tptp_parser.mly"
             ( Nrat _1 )
# 1333 "plugins/tptp/tptp_parser.ml"
               : 'pos_number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.num_real) in
    Obj.repr(
# 324 "plugins/tptp/tptp_parser.mly"
             ( Nreal _1 )
# 1340 "plugins/tptp/tptp_parser.ml"
               : 'pos_number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.num_integer) in
    Obj.repr(
# 328 "plugins/tptp/tptp_parser.mly"
             ( Nint _1 )
# 1347 "plugins/tptp/tptp_parser.ml"
               : 'neg_number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.num_rational) in
    Obj.repr(
# 329 "plugins/tptp/tptp_parser.mly"
             ( Nrat _1 )
# 1354 "plugins/tptp/tptp_parser.ml"
               : 'neg_number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.num_real) in
    Obj.repr(
# 330 "plugins/tptp/tptp_parser.mly"
             ( Nreal _1 )
# 1361 "plugins/tptp/tptp_parser.ml"
               : 'neg_number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 334 "plugins/tptp/tptp_parser.mly"
                 ( _1 )
# 1368 "plugins/tptp/tptp_parser.ml"
               : 'atomic_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 335 "plugins/tptp/tptp_parser.mly"
                 ( _1 )
# 1375 "plugins/tptp/tptp_parser.ml"
               : 'atomic_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'reserved_word) in
    Obj.repr(
# 336 "plugins/tptp/tptp_parser.mly"
                 ( _1 )
# 1382 "plugins/tptp/tptp_parser.ml"
               : 'atomic_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 340 "plugins/tptp/tptp_parser.mly"
                      ( "assumption" )
# 1388 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 341 "plugins/tptp/tptp_parser.mly"
                      ( "axiom" )
# 1394 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 342 "plugins/tptp/tptp_parser.mly"
                      ( "cnf" )
# 1400 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 343 "plugins/tptp/tptp_parser.mly"
                      ( "conjecture" )
# 1406 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 344 "plugins/tptp/tptp_parser.mly"
                      ( "definition" )
# 1412 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 345 "plugins/tptp/tptp_parser.mly"
                      ( "fof" )
# 1418 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 346 "plugins/tptp/tptp_parser.mly"
                      ( "hypothesis" )
# 1424 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 347 "plugins/tptp/tptp_parser.mly"
                      ( "include" )
# 1430 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 348 "plugins/tptp/tptp_parser.mly"
                      ( "lemma" )
# 1436 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 349 "plugins/tptp/tptp_parser.mly"
                      ( "negated_conjecture" )
# 1442 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 350 "plugins/tptp/tptp_parser.mly"
                      ( "tff" )
# 1448 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 351 "plugins/tptp/tptp_parser.mly"
                      ( "theorem" )
# 1454 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 352 "plugins/tptp/tptp_parser.mly"
                      ( "type" )
# 1460 "plugins/tptp/tptp_parser.ml"
               : 'reserved_word))
; (fun __caml_parser_env ->
    Obj.repr(
# 357 "plugins/tptp/tptp_parser.mly"
                ( () )
# 1466 "plugins/tptp/tptp_parser.ml"
               : 'annotation))
; (fun __caml_parser_env ->
    Obj.repr(
# 361 "plugins/tptp/tptp_parser.mly"
                                  ( [] )
# 1472 "plugins/tptp/tptp_parser.ml"
               : 'formula_selection))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'list1_name) in
    Obj.repr(
# 362 "plugins/tptp/tptp_parser.mly"
                                  ( _3 )
# 1479 "plugins/tptp/tptp_parser.ml"
               : 'formula_selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 366 "plugins/tptp/tptp_parser.mly"
                        ( [_1] )
# 1486 "plugins/tptp/tptp_parser.ml"
               : 'list1_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'name) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'list1_name) in
    Obj.repr(
# 367 "plugins/tptp/tptp_parser.mly"
                        ( _1 :: _3 )
# 1494 "plugins/tptp/tptp_parser.ml"
               : 'list1_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_word) in
    Obj.repr(
# 371 "plugins/tptp/tptp_parser.mly"
                ( _1 )
# 1501 "plugins/tptp/tptp_parser.ml"
               : 'name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.num_integer) in
    Obj.repr(
# 372 "plugins/tptp/tptp_parser.mly"
                ( _1 )
# 1508 "plugins/tptp/tptp_parser.ml"
               : 'name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Tptp_ast.num_integer) in
    Obj.repr(
# 373 "plugins/tptp/tptp_parser.mly"
                ( "-" ^ _1 )
# 1515 "plugins/tptp/tptp_parser.ml"
               : 'name))
(* Entry tptp_file *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
|]
let yytables =
  { Parsing.actions=yyact;
    Parsing.transl_const=yytransl_const;
    Parsing.transl_block=yytransl_block;
    Parsing.lhs=yylhs;
    Parsing.len=yylen;
    Parsing.defred=yydefred;
    Parsing.dgoto=yydgoto;
    Parsing.sindex=yysindex;
    Parsing.rindex=yyrindex;
    Parsing.gindex=yygindex;
    Parsing.tablesize=yytablesize;
    Parsing.table=yytable;
    Parsing.check=yycheck;
    Parsing.error_function=parse_error;
    Parsing.names_const=yynames_const;
    Parsing.names_block=yynames_block }
let tptp_file (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 1 lexfun lexbuf : Tptp_ast.tptp_file)
